MWAWChart::Legend Struct Reference

a legend in a chart More...

`#include <MWAWChart.hxx>`

## Public Member Functions

| Legend ()
| constructor
void | addContentTo (librevenge::RVNGPropertyList &propList) const
| add content to the propList
void | addStyleTo (librevenge::RVNGPropertyList &propList, std::shared_ptr< MWAWFontConverter > fontConverter) const
| add style to the propList

## Public Attributes

bool | m_show
| show or not the legend
bool | m_autoPosition
| automatic position
int | m_relativePosition
| the automatic position libmwaw::LeftBit|...
MWAWVec2f | m_position
| the position in points
MWAWFont | m_font
| the font
MWAWGraphicStyle | m_style
| the graphic style

## Friends

std::ostream & | operator<< (std::ostream &o, MWAWChart::Legend const &legend)
| operator<<

## Detailed Description

a legend in a chart

## Constructor & Destructor Documentation

## Legend()

MWAWChart::Legend::Legend | ( |  | ) |

inline

constructor

## Member Function Documentation

## addContentTo()

void MWAWChart::Legend::addContentTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add content to the propList

## addStyleTo()

void MWAWChart::Legend::addStyleTo | ( | librevenge::RVNGPropertyList & | propList,
|  | std::shared_ptr< MWAWFontConverter > | fontConverter ) const

add style to the propList

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | MWAWChart::Legend const & | legend )

friend

operator<<

## Member Data Documentation

## m_autoPosition

bool MWAWChart::Legend::m_autoPosition

automatic position

Referenced by addContentTo(), addStyleTo(), Legend(), and operator<<.

## m_font

MWAWFont MWAWChart::Legend::m_font

the font

Referenced by addStyleTo(), and Legend().

## m_position

MWAWVec2f MWAWChart::Legend::m_position

the position in points

Referenced by addContentTo(), Legend(), and operator<<.

## m_relativePosition

int MWAWChart::Legend::m_relativePosition

the automatic position libmwaw::LeftBit|...

Referenced by addContentTo(), Legend(), and operator<<.

## m_show

bool MWAWChart::Legend::m_show

show or not the legend

Referenced by Legend(), operator<<, and BeagleWksSSParser::readChart().

## m_style

MWAWGraphicStyle MWAWChart::Legend::m_style

the graphic style

Referenced by addStyleTo(), Legend(), and operator<<.

The documentation for this struct was generated from the following files:

- MWAWChart.hxx
- MWAWChart.cxx